///////////////////////////////////////////////////////////////////////////////////////
//  :                            // 
//  :  . ., sergjp@rambler.ru, serg@iile.ru     2001.           //
// :     :  by_words(n)  money_by_words(n)      //
//            by_words(n)  ,     n      //
//              .     ,          //
//               .                                              //
//                                                                                   //
//            money_by_words(n)  ,     n        //
//                .    ,  //
//                    ,      // 
//               CURRENCY_SHORT_NAME                             // 
//               CHANGE_SHORT_NAME                                    // 
//   : FreeWare        
///////////////////////////////////////////////////////////////////////////////////////             
var CURRENCY_SHORT_NAME = ".";
var CHANGE_SHORT_NAME   = ".";

function triad(tr,fem)
{
   var result = '';
   var first  = tr.substr(0,1);
   var second = tr.substr(1,1);
   var third  = tr.substr(2,1);

   if (!(first>='0' && first <='9'))    first='0';
   if (!(second>='0' && second <='9'))  second='0';
   if (!(third>='0' && third <='9'))    third='0';
   switch (third){
     case '1' : if (fem) result = ''; else result = ''; break;
     case '2' : if (fem) result = ''; else result = '';   break;
     case '3' : result = '';      break;
     case '4' : result = '';   break;
     case '5' : result = '';     break;
     case '6' : result = '';    break;
     case '7' : result = '';     break;
     case '8' : result = '';   break;
     case '9' : result = '';   break;
   }
   switch (second) {
     case '1' : {
                  switch (third) {
                     case '0' : result = '';       break;
                     case '1' : result = ' '; break;
                     case '2' : result = ' ';  break;
                     case '3' : result = ' ' ; break;
                     case '4' : result = ' ';break;
                     case '5' : result = ' ';  break;
                     case '6' : result = ' '; break;
                     case '7' : result = ' ';  break;
                     case '8' : result = ' ';break;
                     case '9' : result = ' ';break;
                  }  
                }                                  break;
     case '2' : result = ' ' + result;    break;
     case '3' : result = ' ' + result;    break;
     case '4' : result = ' ' + result;       break;
     case '5' : result = ' ' + result;   break;
     case '6' : result = ' ' + result;    break;
     case '7' : result = ' ' + result;   break;
     case '8' : result = ' ' + result; break;
     case '9' : result = ' ' + result;   break;
   }
   switch (first) {
     case '1' : result = ' ' + result;         break;
     case '2' : result = ' ' + result;      break;
     case '3' : result = ' ' + result;      break;
     case '4' : result = ' ' + result;   break;
     case '5' : result = ' ' + result;     break;
     case '6' : result = ' ' + result;    break;
     case '7' : result = ' ' + result;     break;
     case '8' : result = ' ' + result;   break;
     case '9' : result = ' ' + result;   break;
   }
   return result;
}

function padezh(tr,deg)
{
  switch(tr.substr(2,1)){
    case '1' : { 
                 switch (deg) {
                   case 1 : return '  ';
                   case 2 : return '  ';
                   case 3 : return '  ';
                 }
               }
    case '2' :
    case '3' :
    case '4' :
               { 
                 switch (deg) {
                   case 1 : return '  ';
                   case 2 : return '  ';
                   case 3 : return '  ';
                 }
               }
    default :  { 
                 switch (deg) {
                   case 1 : return '  ';
                   case 2 : return '  ';
                   case 3 : return '  ';
                 }
               }

  }
  return '';
}

function by_words(n)
{
   if (isNaN(n)) return '';
   var ntr,tr,ss,otr,sn;
   var res = ' ';                   // 
   var por = '';                    // 
   var deg = 0;                     
   var fem = false;                 //   
   var LC = '';            //      
   var UC = '';            //      

   n = Math.round(n);               //   

   sn = n.toString();
   ntr = Math.ceil(sn.length / 3);
   for (var i = sn.length; i > 0; i-=3)
   {
      tr = sn.substring(i,i-3);
      switch(tr.length){
        case 1 : tr = '00'+tr; break;
        case 2 : tr = '0'+tr;  break;
      }
      por = padezh(tr,deg);
      fem = deg == 1;
      otr = triad(tr,fem);
      res = otr +  por +  res;       
      deg++;
   }
//     
   var letter = res.substr(0,1);
   i = LC.indexOf(letter); 
   res = UC.substr(i,1)+res.substring(1);

   return res;
}

function money_by_words(n)
{
   if (isNaN(n)) return '';
   var ntr,tr,ss,otr,sn;
   var res = ' ';                   // 
   var por = '';                    // 
   var deg = 0;                     
   var fem = false;                 //   
   var LC = '';            //      
   var UC = '';            //      
   var int, frac;                   //    
//        
   int = Math.floor(n);
   frac = n - int; 
   frac = Math.round(frac * 100);
//
   sn = int.toString();
   ntr = Math.ceil(sn.length / 3);
   for (var i = sn.length; i > 0; i-=3)
   {
      tr = sn.substring(i,i-3);
      switch(tr.length){
        case 1 : tr = '00'+tr; break;
        case 2 : tr = '0'+tr;  break;
      }
      por = padezh(tr,deg);
      fem = deg == 1;
      otr = triad(tr,fem);
      res = otr +  por +  res;       
      deg++;
   }
//     
   var letter = res.substr(0,1);
   i = LC.indexOf(letter); 
   res = UC.substr(i,1)+res.substring(1);

   return res + ' ' + CURRENCY_SHORT_NAME + ' ' + frac + ' ' + CHANGE_SHORT_NAME;
}