# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Host: localhost Database : test

# --------------------------------------------------------
#
# Table structure for table 'customers'
#

CREATE TABLE customers (
   id int(11) NOT NULL auto_increment,
   name varchar(100) NOT NULL,
   idOrder int(11) DEFAULT '0' NOT NULL,
   address varchar(100) NOT NULL,
   phone varchar(40) NOT NULL,
   email varchar(40),
   additions text,
   PRIMARY KEY (id)
);


# --------------------------------------------------------
#
# Table structure for table 'good_types'
#

CREATE TABLE good_types (
   id int(11) NOT NULL auto_increment,
   name varchar(50) NOT NULL,
   idParent int(11) DEFAULT '0' NOT NULL,
   level tinyint(4) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);

#
# Dumping data for table 'good_types'
#

INSERT INTO good_types VALUES ( '1', '', '0', '0');
INSERT INTO good_types VALUES ( '2', '', '0', '0');
INSERT INTO good_types VALUES ( '4', '', '2', '1');
INSERT INTO good_types VALUES ( '5', '', '2', '1');
INSERT INTO good_types VALUES ( '6', '', '2', '1');
INSERT INTO good_types VALUES ( '7', '', '2', '1');
INSERT INTO good_types VALUES ( '8', '', '1', '1');
INSERT INTO good_types VALUES ( '9', '', '1', '1');
INSERT INTO good_types VALUES ( '10', ' ', '8', '3');
INSERT INTO good_types VALUES ( '11', ' ', '8', '3');
INSERT INTO good_types VALUES ( '12', 'Delphi', '11', '4');
INSERT INTO good_types VALUES ( '13', 'C++', '11', '4');
INSERT INTO good_types VALUES ( '14', 'PHP', '11', '4');

# --------------------------------------------------------
#
# Table structure for table 'goods'
#

CREATE TABLE goods (
   id int(11) NOT NULL auto_increment,
   name varchar(100) NOT NULL,
   description text,
   idType int(11) DEFAULT '0' NOT NULL,
   price float DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);

#
# Dumping data for table 'goods'
#

INSERT INTO goods VALUES ( '1', ' PHP  . , ., ., ., .', '     PHP- ,        .  PHP         .     PHP:            ', '14', '295');
INSERT INTO goods VALUES ( '2', 'PHP4  Web- T., .', '      - Web-.              \"\"', '14', '100');
INSERT INTO goods VALUES ( '3', '', '   -   .      .      .     ', '5', '120');
INSERT INTO goods VALUES ( '4', ' ', '', '7', '140');

# --------------------------------------------------------
#
# Table structure for table 'ordered_items'
#

CREATE TABLE ordered_items (
   idGoods int(11) DEFAULT '0' NOT NULL,
   idOrder int(11) DEFAULT '0' NOT NULL,
   Qnt int(11) DEFAULT '0' NOT NULL,
   id int(11) NOT NULL auto_increment,
   PRIMARY KEY (id)
);

# --------------------------------------------------------
#
# Table structure for table 'orders'
#

CREATE TABLE orders (
   id int(11) NOT NULL auto_increment,
   idSession varchar(255) DEFAULT '0' NOT NULL,
   date date DEFAULT '0000-00-00' NOT NULL,
   sum int(11),
   PRIMARY KEY (id)
);

