<?php

include_once("include/wiki.php");

function page_at_historyindex($i) {
	return $_COOKIE["history_" . "$i"];
}

function is_page_at_historyindex($i) {
	return page_at_historyindex($i) != '';
}

function set_history($page_name, $history_index) {

	for ($i=0; is_page_at_historyindex($i); $i++) {
		if ($history_index != -1) {
			if ($history_index === "$i") {
				$deleting = TRUE;
			}
			if ($deleting) {
				setcookie('history_' . "$i");
			}
		}
	}
	if ($history_index == -1) {
		if (page_at_historyindex($i-1) === $page_name) {
			$i--;
		}
	} else {
		$i = $history_index;
	}
	setcookie('history_' . "$i", $page_name);
}

function print_history($history_index, $divider) {
	for ($i=0; is_page_at_historyindex($i); $i++) {
		if ($history_index >= 0) {
			if ($history_index === "$i") {
				break;
			}
		}
		echo '<a href="' . url_of_wikipage(page_at_historyindex($i)) . '&amp;historyindex=' . "$i" . '">' . page_at_historyindex($i) . "</a>" . $divider;
	}
}
?>
