<?php
include_once("include/general.php");
include_once("include/special.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
<?php
	if ($_POST['crc'] == crc32(text_from_wikipage($_POST['page']))) {
?>

		<title>Changes submitted to <?php echo $_POST['page'] ?>!</title>
<?php redirect(url_of_wikipage($_POST['page'])); ?>
	</head>
	<body>
<?php
	$options = parse_file("options");
	if (is_readable(path_of_backuppage($_POST['page'],$_POST['restore']))) {
		echo "Backup restored!<br />\n";
		$file = fopen(path_of_wikipage($_POST['page']), "w");
		fputs($file, file_get_contents(path_of_backuppage($_POST['page'], $_POST['restore'])));
		fclose($file);
	} else {
		$backupfile = fopen(path_of_backuppage($_POST['page'], date('d.m.Y-H.i.s')), 'w');
		fputs($backupfile, text_from_wikipage($_POST['page']));
		fclose($backupfile);
		$file = fopen(path_of_wikipage($_POST['page']), "w");
		fputs($file, htmlspecialchars(stripslashes($_POST['texts']),ENT_NOQUOTES));
		fclose($file);
	}
	$rcfile = fopen("recent_changes.txt", "a");
	if (isset($_POST['username']) && $_POST['username'] !== "") {
		$the_user = $_POST['username'];
	} else {
		$the_user = "AnonymousDonor";
	}
	fputs($rcfile, $_POST['page'] . '~' . date("d M y H.i.s") . " by " . link_to_wikipage($the_user) . "\n");
	fclose($rcfile);
?>
		Your changes to <?php echo $_POST['page'] ?> have been made.  Thank you for contributing!<br /><br />
		You will be redirected back to the edited page.  If this does not happen within a few seconds, follow the link below.<br />
		<a href="wiki.php?page=<?php echo $_POST['page'] ?>">Back to <?php echo $_POST['page'] ?></a>
	</body>
<?php
	} else {
?>
		<title>Sorry, someone else edited at the same time!</title>
	</head><body>
		Somebody seems to have changed the page while you were editing it!  Please press the 'back' button on your browser, make a note of your changes, reload the page, and try again.
	</body>
<?php
	}
?>
</html>
